# mediacmd.h File Reference

`#include <opal/buildopts.h>`

Include dependency graph for mediacmd.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

class | OpalMediaCommand
class | OpalMediaFlowControl

## Defines

#define | OPAL_DEFINE_MEDIA_COMMAND(cls, name)

## Define Documentation

#define OPAL_DEFINE_MEDIA_COMMAND | ( | cls,
|  | name |  | ) |

Value:

    class cls : public OpalMediaCommand \
      { \
          PCLASSINFO_WITH_CLONE(cls, OpalMediaCommand) \
        public: \
          cls() { } \
          virtual PString GetName() const { return name; } \
      }